{%- set neutron_test_network = 'NeutronStateTestNetwork' %}
{%- set neutron_test_subnet = 'NeutronStateTestSubnet' %}
{%- set neutron_test_subnet_pool = 'NeutronStateTestSubnetPool' %}

neutronv2_network_present:
  neutronv2.network_present:
  - cloud_name: admin_identity
  - name: {{ neutron_test_network }}

neutronv2_subnet_present:
  neutronv2.subnet_present:
  - name: {{ neutron_test_subnet }}
  - cloud_name: admin_identity
  - network_id: {{ neutron_test_network }}
  - ip_version: 4
  - cidr: 192.168.89.0/24

neutronv2_subnetpool_present:
  neutronv2.subnetpool_present:
  - cloud_name: admin_identity
  - name: {{ neutron_test_subnet_pool }}
  - prefixes: [203.0.113.0/24]

neutronv2_subnetpool_absent:
  neutronv2.subnetpool_absent:
  - cloud_name: admin_identity
  - name: {{ neutron_test_subnet_pool }}

neutronv2_subnet_absent:
  neutronv2.subnet_absent:
  - cloud_name: admin_identity
  - name: {{ neutron_test_subnet }}

neutronv2_network_absent:
  neutronv2.network_absent:
  - cloud_name: admin_identity
  - name: {{ neutron_test_network }}
