{% set Designate_Zone_Name = 'test.org.' %}
designatev2_zone_create:
  module.run:
    - name: designatev2.zone_create
    - kwargs:
        cloud_name: admin_identity
        name: {{ Designate_Zone_Name }}
        email: 'example@doc.com'

designatev2_zone_list:
  module.run:
    - name: designatev2.zone_list
    - kwargs:
        cloud_name: admin_identity

designatev2_zone_get_details:
  module.run:
    - name: designatev2.zone_get_details
    - kwargs:
        cloud_name: admin_identity
        zone_id: {{ Designate_Zone_Name }}

designatev2_zone_update:
  module.run:
    - name: designatev2.zone_update
    - kwargs:
        cloud_name: admin_identity
        zone_id: {{ Designate_Zone_Name }}
        email: 'example@doc.com'

designatev2_zone_get_name_servers:
  module.run:
    - name: designatev2.zone_get_name_servers
    - kwargs:
        cloud_name: admin_identity
        zone_id: {{ Designate_Zone_Name }}

designate_zone_delete:
  module.run:
    - name: designatev2.zone_delete
    - kwargs:
        cloud_name: admin_identity
        zone_id: {{ Designate_Zone_Name }}

